// This module effectivly acts as a 6 to 3 multiplexor, or three 2 to 1 MUXES 

module colormux(select, ram_red, rom_red, ram_green, rom_green, ram_blue, rom_blue, out_red, out_green, out_blue);

input select;
input ram_red, rom_red, ram_green, rom_green, ram_blue, rom_blue;

output out_red, out_green, out_blue;

assign out_red = select?  rom_red: ram_red;
assign out_blue = select?  rom_blue: ram_blue;
assign out_green = select?  rom_green: ram_green;
endmodule
